# Preseeding only locale sets language, country and locale.
d-i debian-installer/locale string en_US

# Keyboard selection.
d-i keyboard-configuration/xkb-keymap select us
d-i console-setup/ask_detect boolean false

choose-mirror-bin mirror/http/proxy string

### Clock and time zone setup
d-i clock-setup/utc boolean true
#d-i time/zone string UTC
d-i time/zone string America/Sao_Paulo

# Desabilitar por completo a configuração de rede. Isto é útil para
# instalações por cdrom em dispositivos que não estão ligados à rede onde
# as questões de rede, avisos e timeouts são inúteis.
#d-i netcfg/enable boolean false

# Se possível o netcfg irá escolher um interface que tenha ligação.
# Isto irá evitar que seja mostrada uma lista se existir mais que um
# interface.
d-i netcfg/choose_interface select auto

# Em vez disso para escolher um determinado interface:
# d-i netcfg/choose_interface select eth0

# Para definir um tempo de timeout diferente para a deteção da ligação
# (a predefinição são 3 segundos). Os valores são interpretados como
# segundos.
#d-i netcfg/link_wait_timeout string 10

# Se tiver um servidor de dhcp lento e o instalador esgotar o tempo à
# espera, isto poderá ser útil.
#d-i netcfg/dhcp_timeout string 60
#d-i netcfg/dhcpv6_timeout string 60

# A configuração automática de rede é predefinida.
# Se preferir configurar manualmente a rede, descomente esta linha e a
# configuração de rede estática abaixo:
#d-i netcfg/disable_autoconfig boolean true

# Se quiser que o ficheiro de pré-configuração funcione em sistemas com e
# sem servidor de dhcp, descomente estas linhas e a configuração da rede
# estática abaixo.
#d-i netcfg/dhcp_failed note
#d-i netcfg/dhcp_options select Configure network manually

# Configuração de rede estática.

# Exemplo IPv4
# d-i netcfg/get_ipaddress string 192.168.8.56
# d-i netcfg/get_netmask string 255.255.255.192
# d-i netcfg/get_gateway string 192.168.8.30
# d-i netcfg/get_nameservers string 192.168.8.30
# d-i netcfg/confirm_static boolean true

# Exemplo IPv6
#d-i netcfg/get_ipaddress string fc00::2
#d-i netcfg/get_netmask string ffff:ffff:ffff:ffff::
#d-i netcfg/get_gateway string fc00::1
#d-i netcfg/get_nameservers string fc00::1
#d-i netcfg/confirm_static boolean true

# Qualquer nome de máquina e de domínio atribuido pelo dhcp tem precedência
# sobre os valores definidos aqui. No entanto, definir os valores irá
# prevenir que as questões não sejam mostradas, mesmo que esses valores
# venham do dhcp.
# d-i netcfg/get_hostname string unassigned-hostname
d-i netcfg/get_domain string brsecurity.com.br

# Se quiser forçar um nome de máquina, ignorando se o servidor de DHCP o 
# retorna ou qual seja a entrada inversa de DNS para o IP, retire o
# comentário e ajuste a linha seguinte.
d-i netcfg/hostname string br-debian-11.03

# Fazer desaparecer a aborrecida caixa de diálogo da chave do WEP.
d-i netcfg/wireless_wep string
# O nome de host dhcp esquisito que alguns ISPs usam como password.
#d-i netcfg/dhcp_hostname string radish

### Account setup

# Saltar a criação de uma conta root (a conta normal de utilizador
# poderá utilizar o sudo).
#d-i passwd/root-login boolean false
# Em alternativa, para saltar a criação da conta de utilizador normal.
#d-i passwd/make-user boolean false

# Palavra-passe de root, quer em texto simples
d-i passwd/root-password password Adm3843zu
d-i passwd/root-password-again password Adm3843zu
# ou encriptada utilizando uma hash crypt(3).
#d-i passwd/root-password-crypted password [crypt(3) hash]

# Para criar uma conta normal de utilizador.
d-i passwd/user-fullname string Debian User
d-i passwd/username string brtec
# Password de utilizador normal, em texto simples
d-i passwd/user-password password Adm3843zu
d-i passwd/user-password-again password Adm3843zu
# ou encriptada utilizando uma hash crypt(3).
#d-i passwd/user-password-crypted password [crypt(3) hash]
# Criar o primeiro utilizador com o UID especificado em vez do valor
# predefinido
d-i passwd/user-uid string 1010

# A conta de utilizador será acrescentada a alguns grupos standard
# Para ultrapassar isso, utilize isto.
#d-i passwd/user-default-groups string audio cdrom video

# Se for necessário firmware não-livre para a rede ou para outro hardware,
# pode configurar o instalador para tentar carregá-lo sempre, sem
# perguntar. Ou mudar para false evitar a questão.
#d-i hw-detect/load_firmware boolean true

### Mirror settings
# If you select ftp, the mirror/country string does not need to be set.
d-i mirror/country string manual
d-i mirror/http/hostname string http.us.debian.org
d-i mirror/http/directory string /debian
d-i mirror/http/proxy string


################################################################## ]]]
## Disk Partitioning/Boot loader [[[
######################################################################

# If the system has only one disk the installer will default to using it.
# Otherwise, the device name must be given
d-i partman-auto/disk                           string  /dev/sda

d-i partman-auto/init_automatically_partition   select  custom

# Specify the method to use
# - regular: use the usual partition types for the architecture
# - lvm: use LVM to partition the disk
# - crypto: use LVM within an encrypted partition
#d-i partman-auto/method string regular
d-i partman-auto/method                         string  lvm

d-i partman-lvm/device_remove_lvm               boolean true

# It's ok to have /boot in the LVM
d-i partman-auto-lvm/no_boot                    boolean false

# Remove old LVM configuration
d-i partman-lvm/device_remove_lvm               boolean true
d-i partman-lvm/device_remove_lvm_span          boolean true
d-i partman-auto/purge_lvm_from_device          boolean true
# Remove old RAID configuration
#d-i partman-md/device_remove_md boolean true
# Confirm to write the LVM partitions
d-i partman-lvm/confirm                         boolean true
d-i partman-lvm/confirm_nooverwrite             boolean true

# Keep that one set to true so we end up with a UEFI enabled
# system. If set to false, /var/lib/partman/uefi_ignore will be touched
d-i partman-efi/non_efi_system boolean true

# enforce usage of GPT - a must have to use EFI!
d-i partman-basicfilesystems/choose_label       string  gpt
d-i partman-basicfilesystems/default_label      string  gpt
d-i partman-partitioning/choose_label           string  gpt
d-i partman-partitioning/default_label          string  gpt
d-i partman/choose_label                        string  gpt
d-i partman/default_label                       string  gpt
partman-basicfilesystems partman-basicfilesystems/no_swap boolean false
# LVM partition
# This recipe need almost 30Gb free space it's add all <min size>
#   sda2 (16Gb), lv_* (~14Gb) then it should not count it because
#   all logical volume are on sda2 ...
d-i   partman-auto/expert_recipe                    string    \
      boot-root ::                                            \
              538 538 1075 free                               \
                      $iflabel{ gpt }                         \
                      $reusemethod{ }                         \
                      method{ efi }                           \
                      format{ }                               \
              .                                               \
              200 200000 250 ext3                             \
                      $primary{ } $bootable{ }                \
                      method{ format } format{ }              \
                      use_filesystem{ } filesystem{ ext3 }    \
                      label{ boot }                           \
                      mountpoint{ /boot }                     \
              .                                               \
              16000 160000 27000 xfs                          \
                      $defaultignore{ }                       \
                      $primary{ }                             \
                      method{ lvm }                           \
                      vg_name{ vg00 }                         \
              .                                               \
              4000 80000 5000 xfs                             \
                      $lvmok{ }                               \
                      in_vg{ vg00 } lv_name{ root }           \
                      method{ format } format{ }              \
                      use_filesystem{ } filesystem{ xfs }     \
                      label{ root }                           \
                      mountpoint{ / }                         \
              .                                               \
              1000 70000 4000 xfs                            \
                      $lvmok{ }                               \
                      in_vg{ vg00 } lv_name{ usr }          \
                      method{ format } format{ }              \
                      use_filesystem{ } filesystem{ xfs }    \
                      options/nodev{ nodev }                  \
                      label{ usr }                            \
                      mountpoint{ /usr }                      \
              .                                               \
              2000 60000 4000 xfs                             \
                      $lvmok{ }                               \
                      in_vg{ vg00 } lv_name{ var-log }          \
                      method{ format } format{ }              \
                      use_filesystem{ } filesystem{ xfs }    \
                      options/nodev{ nodev }                  \
                      label{ var-log }                            \
                      mountpoint{ /var/log }                      \
              .                                               \
              532 50000 532 xfs                             \
                      $lvmok{ }                               \
                      in_vg{ vg00 } lv_name{ tmp }          \
                      method{ format } format{ }              \
                      use_filesystem{ } filesystem{ xfs }    \
                      options/nodev{ nodev }                  \
                      options/nosuid{ nosuid }                \
                      label{ tmp }                            \
                      mountpoint{ /tmp }                      \
              .                                               \
              7000 10000 9000 xfs                            \
                      $lvmok{ }                               \
                      in_vg{ vg00 } lv_name{ opt }         \
                      method{ format } format{ }              \
                      use_filesystem{ } filesystem{ xfs }    \
                      options/nodev{ nodev }                  \
                      label{ opt }                           \
                      mountpoint{ /opt }                     \
              .                                             \ 
              200 500 100 linux-swap                        \
                      $lvmok{ }                               \
                      in_vg{ vg00 } lv_name{ swap }         \
                      method{ swap } format{ }                \
              .                                               
                                                            
## Need to put all free space in a temp logical volume/partition
# Otherwise its the last partition which get all free space

# Allow to not set a swap partition
#d-i partman-basicfilesystems/no_swap              boolean false

# Automatically partition without confirmation
d-i   partman/confirm_write_new_label             boolean true
d-i   partman/choose_partition                    select  finish
d-i   partman-md/confirm                          boolean true
d-i   partman/confirm                             boolean true
d-i   partman/confirm_nooverwrite                 boolean true

#d-i apt-setup/cdrom/set-first boolean false

# The installer will warn about weak passwords. If you are sure you know
# what you're doing and want to override it, uncomment this.
d-i user-setup/allow-password-weak boolean true
d-i user-setup/encrypt-home boolean false

### Package selection
tasksel tasksel/first multiselect standard
d-i pkgsel/include string openssh-server build-essential open-vm-tools vim tmux zabbix-agent
d-i pkgsel/install-language-support boolean false

# disable automatic package updates
d-i pkgsel/update-policy select none
d-i pkgsel/upgrade select full-upgrade

d-i grub-installer/only_debian boolean true
d-i grub-installer/with_other_os boolean true
d-i grub-installer/bootdev string /dev/sda
# Optional password for grub, either in clear text
d-i grub-installer/password password landsro
d-i grub-installer/password-again password landsro
# or encrypted using an MD5 hash, see grub-md5-crypt(8).
#d-i grub-installer/password-crypted password [MD5 hash]
d-i debian-installer/add-kernel-opts string nousb

# A terminar a instalação

# Durante as instalações feitas a partir da consola série, as consolas virtuais
# normais (VT1-VT6) estão normalmente desativadas em /etc/inittab. Descomente
# a próxima linha para prevenir isto.
#d-i finish-install/keep-consoles boolean true

# Evitar a última mensagem acerca da instalação estar completa.
d-i finish-install/reboot_in_progress note

# Isto irá evitar que o CD seja ejetado durante a reinicialização, o que é
# útil em algumas situações.
#d-i cdrom-detect/eject boolean false

# Isto é para fazer o instalador desligar quando terminar, mas não reiniciar
# para o sistema instalado.
#d-i debian-installer/exit/halt boolean true
# Isto irá desligar a máquina em vez de a apenas parar.
#d-i debian-installer/exit/poweroff boolean true

